Page MenuHomePhabricator

[MLIR] expose applyCmpPredicate
ClosedPublic

Authored by stephenneuendorffer on May 26 2020, 9:14 PM.

Details

Summary

This is useful for manipulating the standard dialect from transformations
outside of the standard dialect.

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptMay 26 2020, 9:14 PM
ftynse accepted this revision.May 27 2020, 7:36 AM
ftynse added a subscriber: ftynse.

Would it make sense to put them in the relevant Ops so as not to pollute the mlir:: namespace?

This revision is now accepted and ready to land.May 27 2020, 7:36 AM

Would it make sense to put them in the relevant Ops so as not to pollute the mlir:: namespace?

Maybe... I think if the standard dialect had a namespace they would logically go there. (Maybe it should?)
They are more tied to the Predicate than do the comparison itself, but since it's an enum class it can't have methods.

bondhugula added inline comments.
mlir/include/mlir/Dialect/StandardOps/IR/Ops.h
343

Triple / please.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 9 2020, 10:34 PM
Herald added a subscriber: msifontes. · View Herald Transcript